## hw-detect 1.71

=== Makefile ===
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

CC = gcc
CFLAGS = -W -Wall -Os -g
CFLAGS_ARCH = -DCPU_TEXT='"$(DEB_HOST_ARCH)"'

bindir=$(DESTDIR)/bin/
hpdir=$(DESTDIR)/etc/hotplug.d
udevdir=$(DESTDIR)/etc/udev/rules.d
udevlibdir=$(DESTDIR)/lib/udev
didir=$(DESTDIR)/lib/debian-installer.d
fidir=$(DESTDIR)/usr/lib/finish-install.d
sharedir=$(DESTDIR)/usr/share/hw-detect/
postbaseinstallerdir=$(DESTDIR)/usr/lib/post-base-installer.d/

INSTALL=install
INSTALL_DATA = ${INSTALL} -m 644

all: archdetect

clean:
	rm -f *~
	rm -f *.o
	rm -f archdetect

install: install-hw-detect install-ethdetect install-disk-detect install-archdetect install-archdetect-deb

install-hw-detect: hw-detect.sh
	$(INSTALL) -d $(bindir)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
	$(INSTALL) -d $(udevdir)
	$(INSTALL_DATA) net-hotplug.rules $(udevdir)/010_net-hotplug.rules
	$(INSTALL) -d $(udevlibdir)
	$(INSTALL) firmware.agent $(udevlibdir)
	$(INSTALL) check-missing-firmware.sh $(bindir)/check-missing-firmware
	$(INSTALL) -d $(postbaseinstallerdir)
	$(INSTALL) post-base-installer $(postbaseinstallerdir)/50hw-detect
	$(INSTALL) -d $(hpdir)/net
	$(INSTALL) net-hotplug.sh $(hpdir)/net/hw-detect.hotplug
	$(INSTALL) -d $(fidir)
	$(INSTALL) hw-detect.finish-install $(fidir)/30hw-detect
ifeq ($(DEB_HOST_ARCH),powerpc)
	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
	$(INSTALL) discover-ibm.sh $(bindir)/discover-ibm
endif
ifeq ($(DEB_HOST_ARCH),sparc)
	$(INSTALL) discover-sbus.sh $(bindir)/discover-sbus
	$(INSTALL) -d $(sharedir)
	$(INSTALL_DATA) sbus.list $(sharedir)/sbus.list
endif
else
	$(INSTALL) detect-stub.sh $(bindir)/hw-detect
endif

install-ethdetect: ethdetect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) ethdetect.sh $(bindir)/ethdetect

install-disk-detect: disk-detect.sh
	$(INSTALL) -d $(bindir)
	$(INSTALL) disk-detect.sh $(bindir)/disk-detect

install-archdetect: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

install-archdetect-deb: archdetect
	$(INSTALL) -d $(bindir)
	$(INSTALL) archdetect $(bindir)

archdetect: archdetect.o 
	${CC} ${LDFLAGS} -o $@ $^ -ldebian-installer

archdetect.o: %.o:%.c
	$(CC) $(CFLAGS) $(CFLAGS_ARCH) -c $<

=== debian/changelog ===
hw-detect (1.71) unstable; urgency=low

  * Pass all_generic_ide as a plain boot option instead of with the value 1 as
    initramfs-tools ignores it otherwise. Whether or not initramfs-tools'
    behavior is correct is debatable.

 -- Frans Pop <fjp@debian.org>  Wed, 17 Dec 2008 20:54:19 +0100

hw-detect (1.70) unstable; urgency=low

  [ Frans Pop ]
  * The partman-dmraid component is no longer needed for Serial ATA RAID
    (dmraid) installations.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Slovenian (sl.po) by Vanja Cvelbar
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Borys Yanovych

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:57:19 -0300

hw-detect (1.68) unstable; urgency=low

  [ Joey Hess ]
  * Fix libc6-i686 queuing on smp. Closes: #497863

  [ Jérémy Bobbio ]
  * check-missing-firmware: Don't ask for firmware files that have already
    been denied by the user in a previous question. Closes: #497395

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hebrew (he.po) by Omer Zak
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 14 Sep 2008 20:16:35 +0000

hw-detect (1.67) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Install virtio-modules when virtio devices are detected on the PCI bus.
    (Closes: #497238)

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Catalan (ca.po) by Jordi Mallach
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Malayalam (ml.po) by പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 04 Sep 2008 12:32:35 +0000

hw-detect (1.66) unstable; urgency=low

  [ Jérémy Bobbio ]
  * On frontends other than GTK+, only ask about PCMCIA resource range when
    user decided to start PCMCIA.  (Closes: #479391)
  * Fix ethdetect and hw-detect for NICs named differently than ethX.
    (Closes: #495676)
    Thanks to Frans Pop for suggesting a better implementation.

  [ Ian Campbell ]
  * Add Xen virtual Ethernet to list of known Ethernet drivers.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Greek, Modern (el.po) by Emmanuel Galatoulas
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 26 Aug 2008 12:19:11 +0200

hw-detect (1.65) unstable; urgency=low

  [ Joey Hess ]
  * Look for firmware files in a firmware subdirectory of the media, 
    as well as at the top level, for neat freaks.
  * Call check-missing-firmware at the end of ethdetect and disk-detect,
    as those programs can manually load modules, that could need firmware too.

  [ Frans Pop ]
  * Starting with initramfs-tools 0.92d the module ide-generic will be loaded
    if the all_generic_ide parameter is passed. Advantage is that with that
    option the module is loaded last instead of first.
  * If the megaraid_mbox driver is in use, wait for the RAID hardware
    initialization to finish before proceeding with the installation and add
    the 'rootdelay' boot parameter for the target system. Closes: #486298.

  [ Joey Hess ]
  * ethdetect: Some modules do not request firmware until their interface
    has been brought up. So up and down every interface so missing firmware
    can be detected. Closes: #491712
  * check-missing-firmware: Don't display dups. Closes: #492246
  * check-missing-firmware: Check that debs are the right architecture before
    trying to use them. Closes: #492249
  * post-base-installer: If dpkg fails to install a firmware package, likely
    because it has dependencies outside base, remove it rather than leaving
    the db in an inconsistent state. Note that bugs have been filed to get all
    such firmware packages fixed. Closes: #492248
  * check-missing-firmware: Avoid trailing space in $files that caused it to
    look for firmware packages containing a file named "" (and probably match
    any package). Closes: #492247
  * check-missing-firmware: Add a 1 second sleep before reading the missing
    firmware log, just in case a module delays requesting firmware
    until after modprobe returns, resulting in the log not being written in
    time. (No such modules currently known.)
  * hw-detect: Fix syntax error in code added for #472487.
  * Add test for syntax errors in scripts to build process.



=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.48)
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13)
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13)
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector

## hw-detect 1.71ubuntu6

=== debian/changelog ===
hw-detect (1.71ubuntu6) jaunty; urgency=low

  [ Loic Minier ]
  * Install libc6-vfp on armel systems where the vfp word is found in the
    /proc/cpuinfo features.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:52:40 +0000

hw-detect (1.71ubuntu5) jaunty; urgency=low

  * Use 'update-dev --settle' rather than 'update-dev' after loading modules
    (although not after installing new module packages, which may still
    require a trigger). Requires di-utils 1.66.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 16:31:50 +0000

hw-detect (1.71ubuntu4) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Feb 2009 10:19:04 +0000

hw-detect (1.71ubuntu3) jaunty; urgency=low

  * Improve checks for dm-* drivers being present to avoid relying on them
    being built as modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Dec 2008 14:38:36 +0000

hw-detect (1.71ubuntu2) jaunty; urgency=low

  * Backport from trunk:
    - Ask the correct parameters question if modprobe fails.
    - Cope with dm-mod being built-in.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Dec 2008 21:28:16 +0000

hw-detect (1.71ubuntu1) jaunty; urgency=low

  [ Timo Aaltonen ]
  * disk-detect.sh: Remove dm-emc from the multipath modules, since
    it's gone since 2.6.27.

  [ Colin Watson ]
  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      Macs), but not powerpc64 since that causes an oops in the input layer.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - Add hooks for iSCSI support.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Reinstate snd-powermac for i2s-a devices since apparently the lock-up
      has been fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Dec 2008 19:01:16 +0000

hw-detect (1.70ubuntu3) jaunty; urgency=low

  * Reinstate snd-powermac for i2s-a devices since apparently the lock-up
    has been fixed (LP: #87652).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Nov 2008 17:46:21 +0000

hw-detect (1.70ubuntu2) jaunty; urgency=low

  * Make dmraid logging a bit neater.
  * 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Nov 2008 18:20:39 +0000

hw-detect (1.70ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      Macs), but not powerpc64 since that causes an oops in the input layer.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - Add hooks for iSCSI support.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Nov 2008 10:56:29 +1100

hw-detect (1.63ubuntu4) intrepid; urgency=low

  * disk-detect.sh, debian/disk-detect.templates: If dmraid arrays are found,
    ask the user if they want to use them. (LP: #279288)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 15 Oct 2008 09:41:15 +1100

hw-detect (1.63ubuntu3) intrepid; urgency=low

  * disk-detect.sh: Do not pass the complete device node path to
    dmraid-activate, since it no longer uses basename.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Sep 2008 11:09:36 +1000

hw-detect (1.63ubuntu2) intrepid; urgency=low

  * disk-detect.sh: Do not check the kernel command line for any option
    to enable dmraid support. If functional dmraid arrays are found, they
    will be activated.
  * debian/disk-detect.templates: Remove disk-detect/dmraid/enable template.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 28 Aug 2008 00:13:21 +1000

hw-detect (1.63ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      Macs), but not powerpc64 since that causes an oops in the input layer.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - Add hooks for iSCSI support.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2008 13:00:09 +0100

hw-detect (1.62ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:


=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/hw-detect/ubuntu

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.66), pciutils-udeb
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector

## hw-detect 1.73ubuntu5trisquel1

=== debian/changelog ===
hw-detect (1.73ubuntu5trisquel1) slaine; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 May 2011 15:30:37 +0000

hw-detect (1.73ubuntu5) maverick; urgency=low

  * Backport from trunk:
    - Add -g/--guess option to archdetect to ask for heuristics that make it
      easier to bring up new boards, based on a patch from Michael
      Casadevall.  See
      http://lists.debian.org/debian-boot/2010/08/msg00641.html for
      rationale.  Requires libdebian-installer4-dev (>= 0.76).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Sep 2010 18:46:00 +0100

hw-detect (1.73ubuntu4) lucid; urgency=low

  * Enable backup while running iscsi_login, to match behaviour when running
    iscsi_login from partman.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Apr 2010 21:09:45 +0100

hw-detect (1.73ubuntu3) lucid; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Apr 2010 00:17:52 +0100

hw-detect (1.73ubuntu2) lucid; urgency=low

  * Don't try to install libc6-vfp any more; it hasn't been built since
    eglibc 2.10.1-0ubuntu10 in karmic.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Feb 2010 12:26:38 +0000

hw-detect (1.73ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - Install mouseemu on systems likely to have single-button mice (i.e.
      non-desktop Macs), but not powerpc64 since that causes an oops in the
      input layer.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Reinstate snd-powermac for i2s-a devices since apparently the lock-up
      has been fixed.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Install libc6-vfp on armel systems where the vfp word is found in the
      /proc/cpuinfo features.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add support for Dell Driver Injection disk v1, an integrated flash
      media based solution for adding in drivers after OS launches.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Nov 2009 10:38:34 +0000

hw-detect (1.73) unstable; urgency=low

  [ Otavio Salvador ]
  * Skip the start_pcmcia question since it has been enabled by default
    for ages without known problems. In case it fails it ought to be fixed
    in kernel anyway. The question template has been kept to avoid double
    work for translators in case we get too many bug reports about it.

  [ Colin Watson ]
  * Improve cardbus_check_netdev quoting.
  * Explicitly set seen flag of hw-detect/pcmcia_resources to true so that
    it doesn't get asked on second and subsequent runs of hw-detect if
    pcmcia_core fails to get loaded for some reason.
  * Suppress unused-parameter warnings in archdetect.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande
  * Swedish (sv.po) by Daniel Nylander

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Jul 2009 16:40:23 +0100

hw-detect (1.72ubuntu5) karmic; urgency=low

  * Fix db_fget arguments when checking for partman-iscsi preseeding.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Oct 2009 20:51:53 +0100

hw-detect (1.72ubuntu4) karmic; urgency=low

  [ Colin Watson ]
  * Drop disk-detect/iscsi/enable template, which is no longer used.
  * Don't install mouseemu on Intel Mac desktops (LP: #251830).

  [ Mario Limonciello ]
  * Add support for Dell Driver Injection disk v1, an integrated flash media based 
    solution for adding in drivers after OS launches.  This feature will be on 
    upcoming Dell servers. (LP: #341526)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Aug 2009 09:59:27 +0100

hw-detect (1.72ubuntu3) karmic; urgency=low

  * Support preseeding of partman-iscsi/login/address.
  * Don't call 'anna-install open-iscsi-udeb' if the iSCSI login choice is
    selected; partman-iscsi must already be installed for this choice to be
    offered, and it depends on open-iscsi-udeb already.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Aug 2009 18:05:43 +0100

hw-detect (1.72ubuntu2) karmic; urgency=low

  * Default iSCSI configuration to true, and stop installing open-iscsi-udeb
    unconditionally here; partman-iscsi will take care of that. Instead,
    offer iSCSI targets as a choice if partman-iscsi is available and no
    disk devices are found, and implement compatibility with old-style
    open-iscsi/targets preseeding (LP: #237460).
  * Stop installing acpi, acpid, and acpi-support-base if acpi is available.
    Most of these are going away and desktop facilities should take care of
    whatever's left.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Aug 2009 13:24:35 +0100

hw-detect (1.72ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.


=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.41)
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/hw-detect/ubuntu
 
@@ -33,6 +33,15 @@
 XB-Installer-Menu-Item: 3500
 Description: Detect disk drives
 
+Package: driver-injection-disk-detect
+XC-Package-Type: udeb
+Architecture: all
+Depends: hw-detect, mountmedia
+Priority: optional
+Enhances: hw-detect
+XB-Installer-Menu-Item: 1500
+Description: Detect OEM driver injection disks
+
 Package: archdetect
 XC-Package-Type: udeb
 Architecture: any

## hw-detect 1.81ubuntu2.1

=== debian/changelog ===
hw-detect (1.81ubuntu2.1) natty-proposed; urgency=low

  * Load xenbus_probe_frontend if we're running under the Xen hypervisor
    (LP: #857662).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 23:42:59 +0100

hw-detect (1.81ubuntu2) natty; urgency=low

  * Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add an
    archdetect(1) manual page.
  * Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jan 2011 12:14:44 -0600

hw-detect (1.81ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Reinstate snd-powermac for i2s-a devices since apparently the lock-up
      has been fixed.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:45:26 +0000

hw-detect (1.81) unstable; urgency=low

  [ Thibaut Girka ]
  * The g_ether module is used to provide networking over USB on the
    Openmoko phones. Register it in order to have network in the
    installed system. Closes #593109

  [ Otavio Salvador ]
  * Handle all_generic_ide=1 kernel param.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Catalan (ca.po) by Jordi Mallach
  * Persian (fa.po) by Behrad Eslamifar
  * Icelandic (is.po) by Sveinn  Felli

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 14:42:31 -0200

hw-detect (1.80ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Reinstate snd-powermac for i2s-a devices since apparently the lock-up
      has been fixed.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Oct 2010 13:21:28 +0100

hw-detect (1.80) unstable; urgency=low

  * Add -g/--guess option to archdetect to ask for heuristics that make it
    easier to bring up new boards, based on a patch from Michael Casadevall.
    See http://lists.debian.org/debian-boot/2010/08/msg00641.html for
    rationale.  Requires libdebian-installer4-dev (>= 0.76).

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Beširović
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by Behrad Eslamifar
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Andrei Popescu
  * Serbian (sr.po) by Janos Guljas
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Sep 2010 18:23:23 +0100

hw-detect (1.79) unstable; urgency=low

  [ Christian Perrier ]
  * Reviewed driver injection disks templates with the help
    of debian-l10n-english. Unjargonized and wordig aligned with
    other D-I templates. Moved strings to sublevel 3 as this template
    is used in some corner cases.
  * Add dependency on cdebconf-udeb for driver-injection-disk-detect
    udeb

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by maacub
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by debian-l10n-greek
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Persian (fa.po) by acathur


## hw-detect 1.81ubuntu3

=== debian/changelog ===
hw-detect (1.81ubuntu3) oneiric; urgency=low

  * Load xenbus_probe_frontend if we're running under the Xen hypervisor
    (LP: #857662).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 23:21:48 +0100

## hw-detect 1.84

=== debian/changelog ===
hw-detect (1.84) unstable; urgency=low

  [ Joey Hess ]
  * check-missing-firmware: Avoid reloading modules that have a network
    interface that is already configured. Closes: #605983

  [ Petter Reinholdtsen ]
  * Add Vcs-Browser entry to control file, in addition to the Vcs-Svn
    entry.

  [ Updated translations ]
  * Northern Sami (se.po) by Børre Gaup
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:27:22 -0200

hw-detect (1.83) unstable; urgency=low

  * Set DI_PROGRESS_BAR_VISIBLE flag when running discover-pkginstall
    to avoid it destroying pkgsel's progress bar.
    (Bug #605938 asks for discover to honor this flag.)

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh

 -- Joey Hess <joeyh@debian.org>  Sat, 04 Dec 2010 16:16:59 -0400

hw-detect (1.82) unstable; urgency=low

  [ Joey Hess ]
  * check-missing-firmware: When called from ethdetect, take interfaces
    up and down each time through the loop. Previously this was only done
    once, which caused a bug, as the first pass through does not prompt
    for missing firmware, and on subsequent passes, the firmware was not
    requested. Closes: #537502
    (Thanks, Asbjørn Sloth Tønnesen)

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Otavio Salvador <otavio@debian.org>  Wed, 24 Nov 2010 09:52:34 -0200

## hw-detect 1.84+squeeze2

=== debian/changelog ===
hw-detect (1.84+squeeze2) squeeze; urgency=low

  * No-changes upload to get rid of the .git directory in the source package.

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Mar 2011 11:44:49 +0100

hw-detect (1.84+squeeze1) squeeze; urgency=low

  [ Jurij Smakov ]
  * Increase the number of attempts to detect the new disk devices in
    disk_found() of disk-detect.sh to 15, bringing the total waiting time
    to 28 seconds. Current timeout of 4 seconds is not sufficient for
    some SCSI subsystems with long driver/disk initialization time.
    Closes: #611314

  [ Miguel Figueircedo ]
  * discover-mac-io.sh: Fix module loading for Ibook G4 (powermac). Closes:
    #525902, #525946, #606984.
    Thanks to Risto Suominen <risto.suminen@gmail.com>.

  [ Otavio Salvador ]
  * Blacklist snd-aoa to allow snd-powermac to work. Refs: #606984.

 -- Otavio Salvador <otavio@debian.org>  Fri, 11 Mar 2011 19:58:14 -0300

=== debian/control ===
Source: hw-detect
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
Vcs-Browser: http://svn.debian.org/wsvn/d-i/trunk/packages/hw-detect/
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect

Package: hw-detect
XC-Package-Type: udeb
Architecture: any
Depends: rootskel (>= 1.30), archdetect, cdebconf-udeb (>= 0.75), di-utils (>= 1.73), pciutils-udeb
Description: Detect hardware and load kernel drivers for it

Package: ethdetect
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: rootskel (>= 1.30), cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Provides: ethernet-card-detection
XB-Installer-Menu-Item: 1700
Description: Detect network hardware and load kernel drivers for it

Package: disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, di-utils (>= 1.13), pciutils-udeb
Priority: optional
Provides: harddrive-detection
Enhances: hw-detect
XB-Installer-Menu-Item: 3500
Description: Detect disk drives

Package: driver-injection-disk-detect
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb (>= 0.38), hw-detect, mountmedia
Priority: optional
Enhances: hw-detect
XB-Installer-Menu-Item: 1500
Description: Detect OEM driver injection disks

Package: archdetect
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}
Description: Hardware architecture detector

## hw-detect 1.88

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 # Take account of old dpkg-architecture output.
 ifeq ($(DEB_HOST_ARCH_OS),)
@@ -10,29 +12,37 @@
 endif
 
 CC = gcc
+ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+export CC=$(DEB_HOST_GNU_TYPE)-gcc
+endif
 CFLAGS = -W -Wall -Os -g
 CFLAGS_ARCH = -DCPU_TEXT='"$(DEB_HOST_ARCH)"'
 
 bindir=$(DESTDIR)/bin/
 hpdir=$(DESTDIR)/etc/hotplug.d
+netdir=$(DESTDIR)/etc/network
 udevdir=$(DESTDIR)/etc/udev/rules.d
-udevlibdir=$(DESTDIR)/lib/udev
 didir=$(DESTDIR)/lib/debian-installer.d
 fidir=$(DESTDIR)/usr/lib/finish-install.d
 sharedir=$(DESTDIR)/usr/share/hw-detect/
 postbaseinstallerdir=$(DESTDIR)/usr/lib/post-base-installer.d/
+prepkgseldir=$(DESTDIR)/usr/lib/pre-pkgsel.d/
 
 INSTALL=install
 INSTALL_DATA = ${INSTALL} -m 644
 
-all: archdetect
+all: archdetect devnames-static.gz
+
+test:
+	set -e; for sh in *.sh; do sh -n $$sh; done
 
 clean:
 	rm -f *~
 	rm -f *.o
 	rm -f archdetect
+	rm -f devnames-static.gz
 
-install: install-hw-detect install-ethdetect install-disk-detect install-archdetect install-archdetect-deb
+install: install-hw-detect install-ethdetect install-disk-detect install-driver-injection-disk-detect install-archdetect install-archdetect-deb
 
 install-hw-detect: hw-detect.sh
 	$(INSTALL) -d $(bindir)
@@ -42,15 +52,15 @@
 	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
 	$(INSTALL) -d $(udevdir)
 	$(INSTALL_DATA) net-hotplug.rules $(udevdir)/010_net-hotplug.rules
-	$(INSTALL) -d $(udevlibdir)
-	$(INSTALL) firmware.agent $(udevlibdir)
 	$(INSTALL) check-missing-firmware.sh $(bindir)/check-missing-firmware
 	$(INSTALL) -d $(postbaseinstallerdir)
-	$(INSTALL) post-base-installer $(postbaseinstallerdir)/50hw-detect
+	$(INSTALL) hw-detect.post-base-installer.d/* $(postbaseinstallerdir)
+	$(INSTALL) -d $(prepkgseldir)
+	$(INSTALL) hw-detect.pre-pkgsel.d/* $(prepkgseldir)
 	$(INSTALL) -d $(hpdir)/net
 	$(INSTALL) net-hotplug.sh $(hpdir)/net/hw-detect.hotplug
 	$(INSTALL) -d $(fidir)
-	$(INSTALL) hw-detect.finish-install $(fidir)/30hw-detect
+	$(INSTALL) hw-detect.finish-install.d/* $(fidir)
 ifeq ($(DEB_HOST_ARCH),powerpc)
 	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
 	$(INSTALL) discover-ibm.sh $(bindir)/discover-ibm
@@ -65,12 +75,17 @@
 endif
 
 install-ethdetect: ethdetect.sh
-	$(INSTALL) -d $(bindir)
+	$(INSTALL) -d $(bindir) $(netdir)
 	$(INSTALL) ethdetect.sh $(bindir)/ethdetect
+	$(INSTALL) -m644 devnames-static.gz $(netdir)/
 
 install-disk-detect: disk-detect.sh
 	$(INSTALL) -d $(bindir)
 	$(INSTALL) disk-detect.sh $(bindir)/disk-detect
+
+install-driver-injection-disk-detect: driver-injection-disk.sh
+	$(INSTALL) -d $(bindir)
+	$(INSTALL) driver-injection-disk.sh $(bindir)/driver-injection-disk
 
 install-archdetect: archdetect
 	$(INSTALL) -d $(bindir)
@@ -86,3 +101,5 @@
 archdetect.o: %.o:%.c
 	$(CC) $(CFLAGS) $(CFLAGS_ARCH) -c $<
 
+devnames-static.gz: devnames-static.txt
+	grep -v '^#' $< | gzip -9c > $@

=== debian/changelog ===
hw-detect (1.88) unstable; urgency=low

  [ Milan Kupcevic ]
  * discover-mac-io.sh: Detect OHare, Heathrow/Paddington, and KeyLargo ATA
    controllers to support transition from formerly compiled-in ide-pmac driver
    to pata_macio module. Ref: #636269.

  [ Joey Hess ]
  * check-missing-firmware.sh: Add a special case for USB devices, for
    which the devpath provided from firmware.agent claims to be for the
    usbcore module. Search through subdirectories of the devpath to find
    the actual driver module for the USB hardware. Closes: #648631
    (Thanks, Brian Potkin, for testing the fix.)

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Nov 2011 12:38:54 -0400

hw-detect (1.87) unstable; urgency=low

  [ Jurij Smakov ]
  * check-missing-firmware.sh: support new missing firmware directory
    location (/run/udev/firmware-missing) in addition to the old one.

 -- Jurij Smakov <jurij@debian.org>  Thu, 23 Jun 2011 20:55:23 +0100

hw-detect (1.86) unstable; urgency=low

  * Team upload

  [ Miguel Figueiredo ]
  * discover-mac-io.sh: blacklist snd-aoa-* modules to allow snd-powermac 
    to work. Closes #606984.
  * Change priority of driver-injection-disk/load template. Closes: #583650.
 
  [ Otavio Salvador ]
  * Blacklist snd-aoa to allow snd-powermac to work. Refs: #606984.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Felipe Castro
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uighur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Apr 2011 22:22:00 +0200

hw-detect (1.85) unstable; urgency=low

  * discover-mac-io.sh: Fix module loading for Ibook G4 (powermac). Closes:
    #525902, #525946, #606984. 
    Thanks to Risto Suominen <risto.suminen@gmail.com>.
  * Install mmc-modules if no disk is found, since some devices may not
    have hard drives, but SD slots instead. Closes: #593108
  * Increase the number of attempts to detect the new disk devices in
    disk_found() of disk-detect.sh to 15, bringing the total waiting time
    to 28 seconds. Current timeout of 4 seconds is not sufficient for
    some SCSI subsystems with long driver/disk initialization time.
    Closes: #611314

 -- Jurij Smakov <jurij@debian.org>  Sun, 27 Feb 2011 12:33:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
-Vcs-Browser: http://svn.debian.org/wsvn/d-i/trunk/packages/hw-detect/
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/hw-detect
+Vcs-Browser: http://git.debian.org/?p=d-i/hw-detect.git
+Vcs-Git: git://git.debian.org/d-i/hw-detect.git
 
 Package: hw-detect
 XC-Package-Type: udeb

## hw-detect 1.88ubuntu2

=== debian/changelog ===
hw-detect (1.88ubuntu2) precise; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 11:45:59 +0100

hw-detect (1.88ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Nov 2011 15:43:43 +0000

hw-detect (1.87ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Remove FireWire Ethernet support.
    - Register lp module on i386 and amd64.
    - Exit zero if you continue all the way through ethdetect's errors about
      having no network interfaces.
    - Register rtc module on amd64.
    - Drop priorities of a couple of ethdetect questions to medium.
    - On powerpc/ps3 systems, load ps3rom, ps3disk, and ps3_gelic, and add
      snd_ps3 to /etc/modules.
    - Install elfspe2 on Cell (powerpc/ps3 and powerpc/cell) platforms.
    - disk-detect.sh: Do not check the kernel command line for any option
      to enable dmraid support. If functional dmraid arrays are found, the
      user will be asked if they wish to activate them.
    - Make dmraid logging a bit neater.
    - 'dmraid -c -s' changed its output format; cope with both old and new.
    - Remove dm-emc from the multipath modules, since it's gone since
      2.6.27.
    - Improve checks for dm-* drivers being present to avoid relying on them
      being built as modules.
    - Offer iSCSI targets for preseeding if partman-iscsi is available and
      no disk devices are found.
    - Stop installing acpi, acpid, and acpi-support-base if acpi is
      available.
    - Add an 'archdetect-deb' package, containing /usr/bin/archdetect.  Add
      an archdetect(1) manual page.
    - Refer to /usr/share/common-licenses/GPL-2 in debian/copyright.
    - Load xenbus_probe_frontend if we're running under the Xen hypervisor.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 23 Oct 2011 20:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
-Vcs-Browser: http://git.debian.org/?p=d-i/hw-detect.git
-Vcs-Git: git://git.debian.org/d-i/hw-detect.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/hw-detect.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/hw-detect.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/hw-detect/ubuntu
 
 Package: hw-detect
 XC-Package-Type: udeb
@@ -46,3 +48,17 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Hardware architecture detector
+
+Package: archdetect-deb
+Section: utils
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: Hardware architecture detector
+ This package provides the 'archdetect' tool, which displays the current
+ machine architecture and subarchitecture.  The architecture corresponds to
+ that built into dpkg, and describes the CPU (and possibly kernel) types;
+ the subarchitecture distinguishes machines with different boot arrangements
+ that require special handling.
+ .
+ This package would be called 'archdetect', but a udeb of that name already
+ existed for use in the installer.

## hw-detect 1.88ubuntu2+6.0trisquel1

=== debian/changelog ===
hw-detect (1.88ubuntu2+6.0trisquel1) toutatis; urgency=low

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Feb 2013 15:58:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hw-detect
 Section: debian-installer
 Priority: standard
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.9.0), po-debconf (>= 0.5.0), libdebian-installer4-dev (>= 0.76)
